local config = require("lapis.config")
local secrets = require("secrets.secrets")

config({"development", "production"}, {
  port = 8080,
  server = "nginx",
  code_cache = "off",
  num_workers = "1",
  sqlite = {
    database = "data/db/db.dev.sqlite"
  },
  secret = "SUPER SECRET",
  session_name = "porom_session",
})

config("production", {
  code_cache = "on",
  logging = {
    queries = false,
  },
  secret = secrets.key,
  sqlite = {
    database = "data/db/db.prod.sqlite"
  },
  session_name = "porom_session_s"
})
