local Model = require("lapis.db.model").Model

local constants = require("constants")

local Users, Users_mt = Model:extend("users")

function Users_mt:is_guest()
  return self.permission == constants.PermissionLevel.GUEST
end

function Users_mt:is_admin()
  return self.permission == constants.PermissionLevel.ADMIN
end

function Users_mt:is_mod()
  return self.permission >= constants.PermissionLevel.MODERATOR
end

function Users_mt:is_system()
  return self.permission == constants.PermissionLevel.SYSTEM
end

function Users_mt:is_logged_in_guest()
  return self:is_guest() and true
end

function Users_mt:is_default_avatar()
  return self.avatar_id == 1
end

function Users_mt:is_logged_in()
  return true
end

local ret = {
  Users = Users,
  Topics = Model:extend("topics"),
  Threads = Model:extend("threads"),
  Posts = Model:extend("posts"),
  PostHistory = Model:extend("post_history"),
  Sessions = Model:extend("sessions"),
  Avatars = Model:extend("avatars"),
}

return ret

